org.freedesktop.DBus.Introspectable
Eldbus » Basic FreeDesktop.Org Methods

## Functions

Eldbus_Pending * | eldbus_object_introspect (Eldbus_Object *obj, Eldbus_Message_Cb cb, const void *data)
| Call the method "Introspect" on the eldbus object.

## Detailed Description

## Function Documentation

## eldbus_object_introspect()

Eldbus_Pending * eldbus_object_introspect | ( | Eldbus_Object * | obj,
|  | Eldbus_Message_Cb | cb,
|  | const void * | data )

Call the method "Introspect" on the eldbus object.

Parameters

  obj | Eldbus object.
  cb | Callback called when receiving an answer.
  data | Data passed to the callback.

Returns
  The Eldbus_Pending corresponding to the message sent.

Examples
  banshee.c.

References ELDBUS_FDO_INTERFACE_INTROSPECTABLE, eldbus_object_method_call_new(), and eldbus_object_send().